#pragma once
#include "Block.h"

class Ball : public Block
{
protected:
	int m_radius;
	float m_speed;
public:
	Ball();
	Ball(Vec4f size, Color fillColor, Color borderColor);
	virtual ~Ball() {}
	virtual void Update();
	void SetVelocity(Vec2f v);
	Vec2f Velocity();
	void Move(Vec4f pos);
	int Radius();
	void SetSpeed(float val);

};