#pragma once
#include "Ball.h"

class Paddle : public Ball
{
private:
	bool m_isCaptureEnabled = false;
	bool m_isObjectCaptured = false;
	Ball* m_capturedBall = nullptr;
	void ConfineBallToPaddle();
public:
	Paddle(Vec4f size, Color fillColor, Color borderColor);
	Vec2f ReleaseBall();
	void CaptureBall(Ball*  ball);
	void Update()override;
	bool BallCaptured();
};
