#include "Ball.h"

Ball::Ball()
{
}

Ball::Ball(Vec4f size, Color fillColor,Color borderColor)
	:Block(size,fillColor,borderColor)
{
	
}

void Ball::Update()
{
	
	m_pos.left += m_vel.x * m_speed;
	m_pos.right += m_vel.x * m_speed;
	m_pos.top += m_vel.y * m_speed;
	m_pos.bottom +=m_vel.y * m_speed;

}
void Ball::SetVelocity(Vec2f v) 
{ 
	m_vel = v;
}
Vec2f Ball::Velocity() 
{ 
	return m_vel; 
}
void Ball::Move(Vec4f pos) 
{ 
	m_pos = pos;
}
int Ball::Radius() 
{ 
	return (int)(m_pos.right - m_pos.left) / 2; 
}
void Ball::SetSpeed(float val) 
{
	m_speed = val;
}